pro go_add_encflux, indir, outdir, testing=testing

if not keyword_set(indir) then indir='/home/sswdb/ydb/sfpx'
if not keyword_set(outdir) then outdir=indir+'_enc'
if not file_exist(outdir) then spawn,'mkdir -p ' + outdir

files=file_list(indir,'*genx')
for i=28,n_elements(files)-1 do begin 
   restgen,file=files(i),fpcat
   if n_elements(testing) gt 0 then begin 
       box_message,'TESTING' 
       fpcat=fpcat(0:(testing-1)<n_elements(fpcat))
   endif
   enccat=ssw_add_encflux(fpcat,ndegrees=10,/earlier)
   write_genxcat, enccat, prefix='sxtfp_enc', topdir=outdir
endfor

return
end
