function sxt_encircled_flux, instruct, index, data, $  
    ndegrees=ndegrees, _extra=_extra, display=display, $
    degrees=degrees, occults=occults, noerase=noerase, status=status

debug=keyword_set(debug)
;
; get the closest SSC preceding
get_ssc_best, instruct, index, data, _extra=_extra, /half, status=status 

if n_elements(ndegrees) eq 0 then ndegrees=5
nsamps=180/ndegrees
degn=dindgen(nsamps)*ndegrees + ndegrees
degrees=degn
retval=fltarr(nsamps)

helio=arcmin2hel(instruct.xcen/60.,instruct.ycen/60., $
   date= anytim(instruct,/utc_int))

occults=lindgen(nsamps)        

roitot=0
i=-1
while roitot ge 0 and i lt nsamps do begin  
   i=i+1
   get_ellipse_roi, index, data, lat=helio(0),lon=helio(1),$
       occult=occult, radang=degn(i), display=display, $
       data_roi_only=data_roi_only, noerase=noerase
   if debug then stop,'data_roi_only'
   roitot=total(data_roi_only)
   retval(i)=roitot
   occults(i)=occult(0)

endwhile
return,retval
end





